org.apache.ignite.internal.processors.query.stat.view

## Class ColumnPartitionDataViewSupplier

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.view.ColumnPartitionDataViewSupplier

    public class ColumnPartitionDataViewSupplier
    extends Object

Column partition data view supplier.

### Constructor Summary

Constructors
Constructor and Description
`ColumnPartitionDataViewSupplier(IgniteStatisticsStore store)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterable<StatisticsColumnPartitionDataView>` `columnPartitionStatisticsViewSupplier(Map<String,Object> filter)` Statistics column partition data view filterable supplier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnPartitionDataViewSupplier

    public ColumnPartitionDataViewSupplier(IgniteStatisticsStore store)

Constructor.

Parameters:
  `store` - Statistics store.

### Method Detail

#### columnPartitionStatisticsViewSupplier

    public Iterable<StatisticsColumnPartitionDataView> columnPartitionStatisticsViewSupplier(Map<String,Object> filter)

Statistics column partition data view filterable supplier.

Parameters:
  `filter` - Filter.
Returns:
  Iterable with statistics column partition data views.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023